Downgrade packages in Arch Linux

Downgrade any package installed by pacman.

Add archlinuxfr repository

sudo nano /etc/pacman.conf

Add:

[archlinuxfr]
Server = http://repo.archlinux.fr/$arch
SigLevel = Optional TrustAll

the second line: trust all is a hack to deal with error messages such as:

error: downgrade: missing required signature
error: failed to commit transaction (package missing required signature)

then save the config file.

Update the repository

sudo pacman -Syu
sudo pacman -S pacman-contrib
sudo pacman -S downgrade

pacman-contrib is for pacsort used in downgrade.

Downgrade the package

For example if you want to downgrade python.

sudo downgrade python

and type the version you want to downgrade to.

Further Reading

  1. How To Downgrade A Package In Arch Linux | OSTechNix
  2. pacman needing required signature | Reddit
  3. [Internet Archive] pacman 5.1 upgrade breaks pamac, yaourt, downgrade and other things! | Antergos Forums

Posted:

Comments